booster::weak_ptr< T > Class Template Reference

## Public Types

typedef T | element_type

## Public Member Functions

template<class Y >
| weak_ptr (weak_ptr< Y > const &r, typename detail::sp_enable_if_convertible< Y, T >::type=detail::sp_empty())
template<class Y >
| weak_ptr (shared_ptr< Y > const &r, typename detail::sp_enable_if_convertible< Y, T >::type=detail::sp_empty())
template<class Y >
weak_ptr & | operator= (weak_ptr< Y > const &r)
template<class Y >
weak_ptr & | operator= (shared_ptr< Y > const &r)
shared_ptr< T > | lock () const
long | use_count () const
bool | expired () const
bool | _empty () const
void | reset ()
void | swap (this_type &other)
void | _internal_assign (T *px2, booster::detail::shared_count const &pn2)
template<class Y >
bool | _internal_less (weak_ptr< Y > const &rhs) const

## Friends

template<class Y >
class | weak_ptr
template<class Y >
class | shared_ptr

The documentation for this class was generated from the following files:

- booster/log.h
- booster/weak_ptr.h